---
title: postfix_relay
type: docs
---

Setup postfix as mail relay

* [Default Variables](#default-variables)
  * [postfix_relay_auth_password](#postfix-relay-auth-password)
  * [postfix_relay_auth_user](#postfix-relay-auth-user)
  * [postfix_relay_relaydomain](#postfix-relay-relaydomain)
  * [postfix_relay_relayhost](#postfix-relay-relayhost)
  * [postfix_relay_relayport](#postfix-relay-relayport)
  * [postfix_relay_senders](#postfix-relay-senders)
  * [postfix_relay_smtpd_banner](#postfix-relay-smtpd-banner)
* [Dependencies](#dependencies)

---

## Default Variables

### postfix_relay_auth_password

#### Default value

```YAML
postfix_relay_auth_password: pass01
```

### postfix_relay_auth_user

#### Default value

```YAML
postfix_relay_auth_user: user01
```

### postfix_relay_relaydomain

#### Default value

```YAML
postfix_relay_relaydomain: smtp.org
```

### postfix_relay_relayhost

#### Default value

```YAML
postfix_relay_relayhost: test.{{ postfix_relay_relaydomain }}
```

### postfix_relay_relayport

#### Default value

```YAML
postfix_relay_relayport: '587'
```

### postfix_relay_senders

#### Default value

```YAML
postfix_relay_senders:
  - user: root
    address: '{{ ansible_hostname }}@{{ postfix_relay_relaydomain }}'
```

### postfix_relay_smtpd_banner

`smtpd_banner` contains $myhostname by default and can't be removed. Options from the list will be appended.

#### Default value

```YAML
postfix_relay_smtpd_banner:
  - ESMTP
  - $mail_name
```

## Dependencies

None.
